Dashboard - Feature #42617

mgr/dashboard: Add reload button for CephFS directories
Description

As many request have to made in oder to reload the all directories, the requests are only done once.
This isn't as intuitive as most pages use the build in auto reload feature of cd-table.

As this is a different structure it's a bit harder to update as there are two source that have to be updated.
There are 2 solutions two handle it:

1. Just replay all requests (will reload and therefore update all loaded directories)
2. Do one really big request with the deepest open depth (will load all available directories into this depth)

Related issues:

Related to Dashboard - Feature #41575: mgr/dashboard: Show CephFS directories... Resolved
Related to Dashboard - Bug #47372: mgr/dashboard: error when typing existing ... Resolved
History

#1 - 11/04/2019 01:35 PM - Stephan Miiller
- Related to Feature #41575: mgr/dashboard: Show CephFS directories in the Ul added

#2 - 01/08/2020 05:12 PM - Stephan Miller

- Status changed from New to In Progress

#3 - 01/08/2020 05:20 PM - Stephan Miiller
- Status changed from In Progress to Fix Under Review

- Pull request ID set to 32552

#4 - 02/21/2020 03:47 PM - Lenz Grimmer

- Status changed from Fix Under Review to Resolved

#5 - 09/15/2020 07:00 AM - Lenz Grimmer
- Related to Bug #47372: mgr/dashboard: error when typing existing folder name in the NFS-Ganesha form added

#6 - 09/15/2020 07:00 AM - Lenz Grimmer

Note that this change introduced a regression, which is tracked at #47372
#7 - 04/15/2021 05:26 PM - Ernesto Puerta

- Project changed from mgr to Dashboard

- Category changed from 142 to Component - CephFS
